Bug 125382 - cdrdao fails to recognize cd-rw USB device under K3B
cdrdao fails to recognize cd-rw USB device under K3B
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-05 13:34 EDT by Dimitris
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-08 12:13:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitris 2004-06-05 13:34:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
K3B fails to burn iso images because cdrdao can't find the
cd-rw device (ASUS CRW-5224A USB 2.0 external).

Even though K3B correctly lists the cd-rw in the Devices section
and lists all its capabilities, cdrdao returns this error:

System
-----------------------
K3b Version: 0.11.9
KDE Version: 3.2.2-6 Red Hat
QT Version:  3.3.2

cdrdao
-----------------------
Cdrdao version 1.1.8 - (C) Andreas Mueller <andreas@daneb.de>
  SCSI interface library - (C) Joerg Schilling
  Paranoia DAE library - (C) Monty
Check http://cdrdao.sourceforge.net/drives.html#dt for current driver
tables.
ERROR: Cannot open SCSI device '1,0,0': Cannot open '/dev/sg*'
Transport name:  sg
Transport descr.: Generic transport independent SCSI
Transp. layer ind.: 
Target specifier: bus,target,lun
Target example:  1,2,0
SCSI Bus scanning: supported
Open via UNIX device: not supported
Transport name:  pg
Transport descr.: SCSI transport for ATAPI over Parallel Port
Transp. layer ind.: 
Target specifier: bus,target,lun
Target example:  1,2,0
SCSI Bus scanning: supported
Open via UNIX device: not supported
Transport name:  ATA
Transport descr.: ATA Packet specific SCSI transport
Transp. layer ind.: ATAPI:
Target specifier: bus,target,lun
Target example:  ATAPI:1,2,0
SCSI Bus scanning: supported
Open via UNIX device: not supported
Transport name:  ATA
Transport descr.: ATA Packet specific SCSI transport using sg interface
Transp. layer ind.: ATA:
Target specifier: bus,target,lun
Target example:  1,2,0
SCSI Bus scanning: supported
Open via UNIX device: not supported
ERROR: Please use option '--device [path:]bus,id,lun', e.g. --device
0,6,0 or --device ATAPI:0,0,0
ERROR: Cannot setup device 1,0,0.

cdrdao comand:
-----------------------
/usr/bin/cdrdao write --device 1,0,0 --speed 52 --overburn -n -v 2
--eject --remote 17 /tmp/kde-root/k3bNrD2Mb.tmp.cue 


Its also interesting to note that cdrecord doesn't work either:

$ cdrecord --scanbus
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
J�rg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: 'ATA'
devname: 'ATA'
scsibus: -2 target: -2 lun: -2
Warning: Using badly designed ATAPI via /dev/hd* interface.
cdrecord: Permission denied. Cannot open '/dev/hda'. Cannot open SCSI
driver.
cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you
are root.
cdrecord: For possible transport specifiers try 'cdrecord dev=help'.



Version-Release number of selected component (if applicable):
cdrdao-1.1.8-3

How reproducible:
Always

Steps to Reproduce:
1. Run K3B
2. Select an image to burn (bin/cue)
3. Click on burn
    

Actual Results:  cdrdao fails to burn.

Expected Results:  cdrdao should burn :)

Additional info:

I temporarily fixed the problem by adding the following options
in K3B in order to by-pass cdrdao's commands:

--device /dev/scd1 --driver generic-mmc
Comment 1 Harald Hoyer 2004-07-13 09:59:58 EDT
what does
# cdrecord -scanbus
output??
Comment 2 Dimitris 2004-07-13 11:02:28 EDT
$ cdrecord -scanbus
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this version.
scsidev: 'ATA'
devname: 'ATA'
scsibus: -2 target: -2 lun: -2
Warning: Using badly designed ATAPI via /dev/hd* interface.
cdrecord: Permission denied. Cannot open '/dev/hda'. Cannot open SCSI
driver.
cdrecord: For possible targets try 'cdrecord -scanbus'. Make sure you
are root.
cdrecord: For possible transport specifiers try 'cdrecord dev=help'.
Comment 3 Harald Hoyer 2004-07-13 11:07:39 EDT
and as root?
Comment 4 Harald Hoyer 2004-07-13 11:09:43 EDT
you may also try some new packages, if you feel experimental :)
ftp://people.redhat.com/harald/cdrtools-2.01.0.a33-1/
Comment 5 Dimitris 2004-07-13 11:38:38 EDT
# cdrecord -scanbus
Cdrecord-Clone 2.01a27-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schi lling
Note: This version is an unofficial (modified) version with DVD support
Note: and therefore may have bugs that are not present in the original.
Note: Please send bug reports or support requests to
<warly@mandrakesoft.com>.
Note: The author of cdrecord should not be bothered with problems in
this versio n.
Linux sg driver version: 3.5.31
Using libscg version 'schily-0.8'.
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.80-RH '@(#)scsi-linux-sg.c       
1.80 04/03/08 Copyright 1997 J. Schilling').
scsibus0:
        0,0,0     0) 'PIONEER ' 'DVD-ROM DVD-305 ' '1.05' Removable CD-ROM
        0,1,0     1) *
        0,2,0     2) *
        0,3,0     3) *
        0,4,0     4) *
        0,5,0     5) *
        0,6,0     6) *
        0,7,0     7) *
scsibus1:
        1,0,0   100) 'ASUS    ' 'CRW-5224A       ' '1.37' Removable CD-ROM
        1,1,0   101) *
        1,2,0   102) *
        1,3,0   103) *
        1,4,0   104) *
        1,5,0   105) *
        1,6,0   106) *
        1,7,0   107) *


weird, it works better as root.

anyway, the point is, cdrdao fails under K3B even as root, which
is why i opened the bug in the first place :)
Comment 6 Harald Hoyer 2004-07-13 11:52:37 EDT
ERROR: Cannot open SCSI device '1,0,0': Cannot open '/dev/sg*'

the kernel does not support /dev/sg for USB devices... 

reassigning to kernel
Comment 7 Dimitris 2004-08-08 12:13:16 EDT
no answer. closing.
Comment 8 Dan Christian 2004-09-09 20:51:38 EDT
I'm seeing behavor just like this with an IDE CD-RW.  

cdrecord will talk to it as root, but not as a normal user (yes, the
permissions are set).

k3b sees it on the main screen, but can't write an ISO to it.

Did anyone ever figure this out?
Comment 9 Dimitris 2004-09-10 04:05:20 EDT
nope, never got an answer.
Comment 10 Dan Christian 2004-09-10 16:13:14 EDT
You lost me.  What question didn't you get an answer to?

By the way, I was seeing this with kernel 2.6.8-1.521

Does it make sense to re-open this bug for IDE, or should I file a new
one?

Note You need to log in before you can comment on or make changes to this bug.